﻿@model CompanyView
@{
    ViewBag.Title = ViewBag.Tite;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var formUser = '@ViewBag.ForUser';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">Conections</h3>
    </div>
    <div class="panel-body">
        @using (Html.BeginForm("ConfirmAction", "Companies", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formcompany" }))
        {
            <label class="col-md-4 control-label" id="REQ" style="display:none">@Companies.REQ</label>

            <div class="form-group">
                <label class="col-md-4 control-label" id="SQLS">@Companies.SQLS</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.Server, new { @placeholder = @Companies.SQLS, @class = "form-control" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" id="SQLAUN">@Companies.SQLAUN</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.DbUserName, new { @placeholder = @Companies.SQLAUN, @class = "form-control" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" id="SQLAUP">@Companies.SQLAUP</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.DbPassword, new { @autocomplete = "off", @type = "password", @placeholder = @Companies.SQLAUP, @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label" id="CDB">@Companies.CDB</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.CompanyDB, new { @placeholder = @Companies.CDB, @class = "form-control" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label"></label>
                <div class="col-md-7">
                    @*<a href='#' onclick="ValidateSAPConnection()" class="btn btn-primary btn-xs">
                        <span class="glyphicon glyphicon-saved"></span>&nbsp;@Companies.CSAPC
                    </a>*@
                </div>
            </div>


            <div class="clear2"></div>
            <div class="divider"></div>
            <div class="clear2"></div>

            <div class="form-group">
                <label class="col-md-4 control-label" id="SUN">@Companies.SUN</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.UserName, new { @placeholder = @Companies.SUN, @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label" id="SUP">@Companies.SUP</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.Password, new { @autocomplete = "off", @type = "password", @placeholder = @Companies.SUP, @class = "form-control" })
                </div>
            </div>



            <div class="clear2"></div>
            <div class="divider"></div>
            <div class="clear2"></div>

            <div class="form-group">
                <label class="col-md-4 control-label" id="SAPLanguajeLabel">@Companies.Languaje</label>
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.SAPLanguaje, new SelectList(Model.LanguajeList, "Value", "Text"), new { @Id = "SAPLanguaje", @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.VO</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.VisualOrder, new { @placeholder = @Companies.VO, @class = "form-control" })
                </div>
            </div>




            <div class="clear2"></div>
            <div class="divider"></div>
            <div class="clear2"></div>

            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.UTC</label>
                <div class="col-md-8">
                    <label class="checkbox-inline">
                        @Html.CheckBoxFor(c => c.UseTrusted) @Companies.UTC
                    </label>
                </div>
            </div>


            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.UCU</label>
                <div class="col-md-8">
                    <label class="checkbox-inline">
                        @Html.CheckBoxFor(c => c.UseCompanyUser) @Companies.UCU
                    </label>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.ASIMTOD</label>
                <div class="col-md-8">
                    <label class="checkbox-inline">
                        @Html.CheckBoxFor(c => c.ItemInMultipleLines) @Companies.ASIMTOD
                    </label>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.UH</label>
                <div class="col-md-8">
                    <label class="checkbox-inline">
                        @Html.CheckBoxFor(c => c.UseHandheld) @Companies.UH
                    </label>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.CT</label>
                <div class="col-md-8">
                    <label class="checkbox-inline">
                        @Html.RadioButtonFor(model => model.CodeType, 1, new { id = "rbBarCode", disabled = "disabled" })
                        @Html.Label("rbBarCode", "Bar Code")
                        @Html.RadioButtonFor(model => model.CodeType, 2, new { id = "rbQRCode", disabled = "disabled" })
                        @Html.Label("rbQRCode", "QR Code")
                    </label>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.CBID</label>
                <div class="col-md-8">
                    <label class="checkbox-inline">
                        @Html.CheckBoxFor(c => c.CheckBasketID) @Companies.CBID
                    </label>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">On Demand</label>
                <div class="col-md-8">
                    <label class="checkbox-inline">
                        @Html.CheckBoxFor(c => c.OnDemand) On Demand
                    </label>
                </div>
            </div>


            <div class="clear2"></div>
            <div class="divider"></div>
            <div class="clear2"></div>



            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.DST</label>
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.ServerType, new SelectList(Model.ServerTypeList, "Value", "Text"), new { @Id = "ServerType", @class = "form-control" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" id="LS">@Companies.LS</label>
                <div class="col-md-8">
                    <div class="col-xs-8" style="padding-left:0px;">
                        @Html.TextBoxFor(c => c.LicenseServer, new { @placeholder = @Companies.LSN, @class = "form-control" })
                    </div>
                    <div class="col-xs-4">
                        @Html.TextBoxFor(c => c.PortNumber, new { @placeholder = @Companies.LSP, @class = "form-control" })
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.URLHana (xsodata)</label>
                <div class="col-md-8">
                    <div class="col-xs-8" style="padding-left:0px;">
                        @Html.TextBoxFor(c => c.UrlHana, new { @placeholder = @Companies.URLHana + " (xsodata)", @class = "form-control" })
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.URLHana (getQueryResult.xsjs)</label>
                <div class="col-md-8">
                    <div class="col-xs-8" style="padding-left:0px;">
                        @Html.TextBoxFor(c => c.UrlHanaGetQueryResult, new { @placeholder = @Companies.URLHana + " (getQueryResult.xsjs)", @class = "form-control" })
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.URLSL</label>
                <div class="col-md-8">
                    <div class="col-xs-8" style="padding-left:0px;">
                        @Html.TextBoxFor(c => c.UrlSL, new { @placeholder = @Companies.URLSL, @class = "form-control" })
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label">@Companies.Active</label>
                <div class="col-md-8">
                    @if (ViewBag.FormMode == "Add")
                    {
                        <label class="checkbox-inline">
                            @Html.CheckBoxFor(c => c.Active, new { @disabled = "disabled" }) Active
                        </label>
                    }
                    else
                    {
                        <label class="checkbox-inline">
                            @Html.CheckBoxFor(c => c.Active) Active
                        </label>
                    }

                </div>
            </div>

            @Html.HiddenFor(c => c.IdCompany)

            <div class="but_blok_footer">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
                    @if (ViewBag.ForUser == 0)
                    {
                        @Html.ActionLink(@Companies.Cancel, "Index", "Companies", null, new { @class = "btn btn-lg btn-default  pull-right  margin-left" })
                    }
                    else
                    {
                        @Html.ActionLink(@Companies.Cancel, "CompaniesUser", "Users", new { @IdUser = ViewBag.ForUser }, new { @class = "btn btn-lg btn-default  pull-right  margin-left" })
                    }
                </div>
            </div>
        }
    </div>
</div>

<div class="modal fade in" id="infoBox" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false" style="display: none;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title" id="myModalLabel">Info</h4>
            </div>
            <div style=" text-align :center ">
                <div class="alert  alert-error" id="infoMessage" style="background-color: #34EA75; color: #000000 "><strong> Connection validation: Correct </strong></div>
            </div>
            <div class="modal-footer">
                <button type="button" id="OkError" class="btn btn-primary" data-dismiss="modal">Ok</button>
            </div>
        </div>
    </div>
</div>

@Html.Partial("_MessagePartial", @Companies.AYSTYWTRTR)

@Scripts.Render("~/bundles/Companies")


